## cascading.scheme.hadoop
Class SequenceFile

    java.lang.Object
      cascading.scheme.Scheme<JobConf,RecordReader,OutputCollector,Object[],Void>
          cascading.scheme.hadoop.SequenceFile

All Implemented Interfaces:
  Traceable, Serializable

Direct Known Subclasses:
  WritableSequenceFile

    public class SequenceFile

extends Scheme<JobConf,RecordReader,OutputCollector,Object[],Void>

A SequenceFile is a type of `Scheme`, which is a flat file consisting of binary key/value pairs. This is a space and time efficient means to store data.

See Also:
  Serialized Form

Constructor Summary
`protected` `SequenceFile()` Protected for use by TempDfs and other subclasses.
`` `SequenceFile(Fields fields)` Creates a new SequenceFile instance that stores the given field names.

Method Summary
`void` `sink(FlowProcess<JobConf> flowProcess, SinkCall<Void,OutputCollector> sinkCall)`
`void` `sinkConfInit(FlowProcess<JobConf> flowProcess, Tap<JobConf,RecordReader,OutputCollector> tap, JobConf conf)`
`boolean` `source(FlowProcess<JobConf> flowProcess, SourceCall<Object[],RecordReader> sourceCall)`
`void` `sourceCleanup(FlowProcess<JobConf> flowProcess, SourceCall<Object[],RecordReader> sourceCall)`
`void` `sourceConfInit(FlowProcess<JobConf> flowProcess, Tap<JobConf,RecordReader,OutputCollector> tap, JobConf conf)`
`void` `sourcePrepare(FlowProcess<JobConf> flowProcess, SourceCall<Object[],RecordReader> sourceCall)`

Methods inherited from class cascading.scheme.Scheme
`equals, getNumSinkParts, getSinkFields, getSourceFields, getTrace, hashCode, isSink, isSource, isSymmetrical, presentSinkFields, presentSinkFieldsInternal, presentSourceFields, presentSourceFieldsInternal, retrieveSinkFields, retrieveSourceFields, setNumSinkParts, setSinkFields, setSourceFields, sinkCleanup, sinkPrepare, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequenceFile

    protected SequenceFile()

  Protected for use by TempDfs and other subclasses. Not for general consumption.

### SequenceFile

    @ConstructorProperties(value="fields")
    public SequenceFile(Fields fields)

  Creates a new SequenceFile instance that stores the given field names.

  Parameters:
    `fields` -

Method Detail

### sourceConfInit

    public void sourceConfInit(FlowProcess<JobConf> flowProcess,
                               Tap<JobConf,RecordReader,OutputCollector> tap,
                               JobConf conf)

  Specified by:
    `sourceConfInit` in class `Scheme<JobConf,RecordReader,OutputCollector,Object[],Void>`

### sinkConfInit

    public void sinkConfInit(FlowProcess<JobConf> flowProcess,
                             Tap<JobConf,RecordReader,OutputCollector> tap,
                             JobConf conf)

  Specified by:
    `sinkConfInit` in class `Scheme<JobConf,RecordReader,OutputCollector,Object[],Void>`

### sourcePrepare

    public void sourcePrepare(FlowProcess<JobConf> flowProcess,
                              SourceCall<Object[],RecordReader> sourceCall)

  Overrides:
    `sourcePrepare` in class `Scheme<JobConf,RecordReader,OutputCollector,Object[],Void>`

### source

    public boolean source(FlowProcess<JobConf> flowProcess,
                          SourceCall<Object[],RecordReader> sourceCall)
                   throws IOException

  Specified by:
    `source` in class `Scheme<JobConf,RecordReader,OutputCollector,Object[],Void>`
  Throws:
    `IOException`

### sourceCleanup

    public void sourceCleanup(FlowProcess<JobConf> flowProcess,
                              SourceCall<Object[],RecordReader> sourceCall)

  Overrides:
    `sourceCleanup` in class `Scheme<JobConf,RecordReader,OutputCollector,Object[],Void>`

### sink

    public void sink(FlowProcess<JobConf> flowProcess,
                     SinkCall<Void,OutputCollector> sinkCall)
              throws IOException

  Specified by:
    `sink` in class `Scheme<JobConf,RecordReader,OutputCollector,Object[],Void>`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.